URGENT: What's the best way to upgrade from v 2.2.7

Discussion in 'Installation/Configuration' started by jockstrap, Jan 31, 2009.

  1. jockstrap

    jockstrap New Member

    Hi all,

    I've been running ispconfig v2.2.7 with postfix mail and roundcube webmail for some time now without issues.

    the last day or so - looks like someone may have found a hack for my server and has been using my smtp gateway to send spam.

    As a resuly - my ISP blocked my IP...

    I shutdown my smtp server and then got them to unblock so web pages can work, etc..

    my problem now is - can I separately upgrade the postfix smtp server somehow WITHOUT my users loosing any stored mail or user settings ?

    also - is there anyway I can upgrade from ispconfig 2.2.7 to later versions that might not be vulnerable without loosing my website and user settings/config ???

    what's the best and quickest way for me to move forward on this..

    Any help greatly appreciated..

    PS: Looks like i'm on Postfix version 2.1.5
  2. falko

    falko Super Moderator ISPConfig Developer

    Yes, if your distribution offers an upgrade package.

    Yes, just download 2.2.29 and run
    tar xvfz ISPConfig-2.2.29.tar.gz
    cd install_ispconfig
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    It si not very likely that this has anything to do with ispconfig. But nevertheless you should aleays keep your ispconfig up to date.

    In most cases such a spamming problem is caused by a vulnerable cms system or contact form installed on your server.

Share This Page